package com.facebook.share.model;

import android.os.Parcel;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class ShareHashtag$Builder implements ShareModelBuilder<ShareHashtag, ShareHashtag$Builder> {
    private String hashtag;

    public ShareHashtag$Builder setHashtag(String str) {
        this.hashtag = str;
        return this;
    }

    public String getHashtag() {
        return this.hashtag;
    }

    public ShareHashtag$Builder readFrom(ShareHashtag shareHashtag) {
        AppMethodBeat.i(97409);
        if (shareHashtag == null) {
            AppMethodBeat.o(97409);
            return this;
        }
        this = setHashtag(shareHashtag.getHashtag());
        AppMethodBeat.o(97409);
        return this;
    }

    /* Access modifiers changed, original: 0000 */
    public ShareHashtag$Builder readFrom(Parcel parcel) {
        AppMethodBeat.i(97410);
        ShareHashtag$Builder readFrom = readFrom((ShareHashtag) parcel.readParcelable(ShareHashtag.class.getClassLoader()));
        AppMethodBeat.o(97410);
        return readFrom;
    }

    public ShareHashtag build() {
        AppMethodBeat.i(97411);
        ShareHashtag shareHashtag = new ShareHashtag(this, null);
        AppMethodBeat.o(97411);
        return shareHashtag;
    }
}
